Use LT_LIB_M to determine if we need to link to the math library and link Pidgin to the X11 libraries

Review Request #608 — Created April 9, 2021 and submitted

grim
pidgin/pidgin
release-2.x.y
e03901b4ae41
pidgin

Use LT_LIB_M to determine if we need to link to the math library and link Pidgin to the X11 libraries

Gentoo ran into an issue with the gold linker without -lm. The original patch
and work came from Justin Lechner. https://bugs.gentoo.org/386079

Gentoo also ran into an issue with X11_LIBS not being added to pidgin. This
should already be implicit everywhere except for homebrew which patches X11
out of their build. Original patch/work came from and. https://bugs.gentoo.org/500762

Installed and ran locally.

  • 0
  • 0
  • 1
  • 0
  • 1
Description From Last Updated
QuLogic
  1. 
      
  2. This will only be needed with glibc, so not BSD, for example. Can check with LT_LIB_M.

    1. Really? Well libpurple has a -lm right now.

  3. 
      
grim
rekkanoryo
  1. Ship It!
  2. 
      
QuLogic
  1. Ship It!
  2. 
      
grim
Review request changed

Status: Closed (submitted)

Loading...